Bug 1628191 - ~40% virtio_blk disk performance drop for win2012r2 guest when comparing qemu-kvm-rhev-2.12.0-9 with qemu-kvm-rhev-2.12.0-12
Summary: ~40% virtio_blk disk performance drop for win2012r2 guest when comparing qemu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: x86_64
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Yanhui Ma
URL:
Whiteboard:
Depends On:
Blocks: 1632622
TreeView+ depends on / blocked
 
Reported: 2018-09-12 12:42 UTC by Yanhui Ma
Modified: 2018-11-01 11:14 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-17.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1632622 (view as bug list)
Environment:
Last Closed: 2018-11-01 11:13:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3443 None None None 2018-11-01 11:14:44 UTC

Comment 4 Paolo Bonzini 2018-09-12 15:48:19 UTC
I think the culprit is "Don't count ctx->notifier as progress when polling".  It causes aio_poll to do the poll system call before invoking aio_bh_poll().  I followed up in the qemu-devel mailing list.

Comment 10 Miroslav Rezanina 2018-09-19 16:54:40 UTC
Fix included in qemu-kvm-rhev-2.12.0-17.el7

Comment 19 errata-xmlrpc 2018-11-01 11:13:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.